import { LoggingBase, Adapter } from "@hibas123/logging";
export interface IFile {
    getData: () => Promise<Buffer>;
    type: string;
    href: string;
}
export default class EpubParser {
    private file;
    logging: LoggingBase;
    constructor(file: string, loggingAdapters?: Adapter | Adapter[]);
    parse(): Promise<void>;
    id: string;
    title: string;
    creator: string;
    summary?: string;
    getFile: (href: string) => Promise<Buffer>;
    getFileByID: (id: string) => IFile | undefined;
    chapters: {
        title: string;
        content: string;
        getFile: (url: string) => Promise<Buffer>;
    }[];
    getCover(): IFile | undefined;
}
